Merge pull request #10898 from tbg/dep

scripts: fail explicitly in updatedep.sh when gopath.proto exists
release-3.4
Xiang Li 2019-07-17 16:47:51 -07:00 committed by GitHub
commit f498392ca7
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 15 additions and 1 deletions

View File

@ -38,7 +38,14 @@ SCHWAG_ROOT="${GOPATH}/src/github.com/hexfusion/schwag"
GOGOPROTO_PATH="${GOGOPROTO_ROOT}:${GOGOPROTO_ROOT}/protobuf"
GRPC_GATEWAY_ROOT="${GOPATH}/src/github.com/grpc-ecosystem/grpc-gateway"
rm -f "${ETCD_ROOT}"
function cleanup {
# Remove the whole fake GOPATH which can really confuse go mod.
rm -rf "${PWD}/gopath.proto"
}
cleanup
trap cleanup EXIT
mkdir -p "${ETCD_IO_ROOT}"
ln -s "${PWD}" "${ETCD_ROOT}"

View File

@ -6,6 +6,13 @@ if ! [[ "$0" =~ scripts/updatedep.sh ]]; then
exit 255
fi
if [ -d "gopath.proto" ]; then
# gopath.proto is created by genproto.sh and it thoroughly messes
# with go mod.
echo "Remove gopath.proto before running this script"
exit 255
fi
if [[ $(go version) != "go version go1.12"* ]]; then
echo "expect Go 1.12+, got:" "$(go version)"
exit 255